For the complete documentation index, see llms.txt. This page is also available as Markdown.

Add product to cart

Use this method to add products to cart, during the current cart session.

Request parameters

Parameter
Type / Description

sessionID

Required (string) Session identifier, which is the output of the Login method. An exception is thrown if the values are incorrect.

productId

Required (integer) Unique product identifier from the Avangate system.

pricingListCode

Required (string) The unique identifier of a partner price list.

quantity

Optional (integer) Defines the amount of product units to be ordered. If no quantity info is provided, the minimum available number of units is included in the order. If the quantity provided is not available for purchase, such as in the case of volume discounts, an error message is displayed. When NULL, quantity = 1 is added automatically.

priceOptions

Optional (stringArray) Array of price options codes. If no price options info is provided, the default, required pricing options of the product are ordered. These identifiers mark the individual options inside pricing options configuration groups. Can be NULL.

Request sample

<?php

require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
require('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/Partner/00Set_partner

$productId = 'YOUR_PRODUCT_ID';
$pricingListCode = 'YOUR_PRICING_LIST_CODE';
$quantity = YOUR_QUANTITY;
$priceOptions = array(
'Pricing_options_group_code1',
'Pricing_options_group_code2'
);

try {
    $OrderProduct= $client->addProduct($sessionID, $productId, $quantity, $priceOptions, $pricingListCode);
} catch (SoapFault $e) {
    echo "ProductinCart: " . $e->getMessage();
    exit;
}
var_dump ("ProductinCart ", $OrderProduct);

Response parameters

Parameter
Type / Description

Result

Boolean True or false

Errors

Error
Description

INVALID_PARTNER

No partner is set.

PRODUCT_ERROR

Invalid product ID.

PARTNER_PRICING_LISTS_NOT_FOUND

There are no pricing lists with the provided code.

PRODUCT_NOT_FOUND

There is no active product with the specified product ID in the given pricing list.

INVALID_QUANTITY

Quantity is not available for purchase.

Last updated

Was this helpful?